<template>
    {{ articles }}

<div v-for="article of articles" :key="article.id">

    <div class="row">
        <div class="col">
        <img :src=" article.photo">
        <p>{{ article.titre }}</p>
        <p> {{ article.text}}</p>
        </div>
    </div>

<div class="row">
    <div class="col s4 m4">
    <div class="card">
    <div class="card-image">
        <img :src=" article.photo">
        <span class="card-title">{{ article.titre }}</span>
        <a class="btn-floating halfway-fab waves-effect waves-light red"><i class="material-icons">+</i></a>
    </div>
    <div class="card-content">
        <p> {{ article.text}}</p>
    </div>
    </div>
    </div>
    </div>
</div> 

</template>


<script setup lang="ts">
import type { Article } from '@/entities';
import { fetchIdCategoArticles } from '@/service/article-service';
import { onMounted, ref } from 'vue';
import { useRoute } from 'vue-router';

const articles = ref<Article[]>([]);
const route = useRoute();

console.log(route.params.id);


onMounted(async()=>{
    articles.value = await fetchIdCategoArticles(route.params.id);
})

</script>